# !/bin/bash
# skript pro kontrolu zda eb předpis, který je v easyconfigs-it4i je nainstalován

ml --show_hidden -t av 2>&1 > /dev/null| awk '{print $1 }' | grep -v "/apps/*" > ml_av
find /apps/easybuild/easyconfigs-it4i/ -type f -name "*.eb" | grep -v "_not_installed/*" | cut -d '/' -f 7 | sed 's/.eb//' | sed 's/-/\//' > eb-it4i

printf "\033c"
echo "|easyconfig-it4i|state|" > compare_result.md
echo "| --- | --- |" >> compare_result.md

INSTALL="FALSE"
format="%-80s %30s\n"

red=$'\e[1;31m'
grn=$'\e[1;32m'
yel=$'\e[1;33m'
blu=$'\e[1;34m'
mag=$'\e[1;35m'
cyn=$'\e[1;36m'
end=$'\e[0m'

while read x; do 
   while read y; do 
      if [ "$x" = "$y" ]; then 
         INSTALL="OK"
         break
      fi
   done < <(cat ml_av) 

   if [ ! "$INSTALL" = "OK" ]; then
      if [ -d "/apps/all/$x" ]; then
         INSTALL="WARNING"
      fi
   fi  

   if [ "$INSTALL" = "OK" ]; then
      printf "$format" "$x" "${grn}installed${end}"
      INSTALL="FALSE"
   elif [ "$INSTALL" = "WARNING" ]; then
      printf "$format" "$x" "${yel}warning${end}"
      echo "|$x|warning|" >> compare_result.md
      INSTALL="FALSE"
   else
      printf "$format" "$x" "${red}not installed${end}"
      echo "|$x|not installed|" >> compare_result.md
      echo "$x" >> mv
      INSTALL="FALSE"
   fi

done < <(cat eb-it4i)

rm eb-it4i ml_av
